#
# TRAC deluxe installer
#
# by LouiSe - louise@bujj.be 2008
#
#
# To remove/unistall plugins on OSX, just delete from here:
#  /System/Library/Frameworks/Python.framework/...

ENVDIR=/opt/trac/partners

## TRAC environment (0.11)
easy_install trac

## TRAC plugins

### Custom roadmap view
## http://trac-hacks.org/wiki/CustomRoadmapPlugin
easy_install http://trac-hacks.org/svn/customroadmapplugin/0.11/

### Discussion forum in TRAC
## http://trac-hacks.org/wiki/DiscussionPlugin
easy_install http://trac-hacks.org/svn/discussionplugin/0.11/
trac-admin ${ENVDIR} upgrade

### A tool to help produce detailed range based estimations for tickets
## http://www.trac-hacks.org/wiki/EstimatorPlugin
easy_install http://trac-hacks.org/svn/estimatorplugin/0.11/
trac-admin ${ENVDIR} upgrade

### This plugin renders a graphical representation of the repository.
## http://trac-hacks.org/wiki/RevtreePlugin
easy_install http://trac-hacks.org/svn/revtreeplugin/0.11/

### Create polls based on tickets, or static arguments
## http://trac-hacks.org/wiki/PollMacro
easy_install http://trac-hacks.org/svn/pollmacro/0.9/

### Fine grained permissions
## TracFineGrainedPermissions
easy_install http://svn.pythonutils.python-hosting.com/tags/configobj-4.3.2/

### NOT WORKS - Recently visited pages as navigational bread crumbs
## http://trac-hacks.org/wiki/BreadCrumbsNavPlugin
# easy_install http://trac-hacks.org/svn/breadcrumbsnavplugin/0.11

### Macro to Include Another Page in Current Page
## http://trac-hacks.org/wiki/IncludePagesPlugin
easy_install http://trac-hacks.org/svn/includepagesplugin/0.11/

### Wiki User and Page Statistics
## http://trac-hacks.org/wiki/WikiStatsPlugin
easy_install http://trac-hacks.org/svn/wikistatsplugin/0.11/

### Add comments to wiki pages
## http://trac-hacks.org/wiki/AddCommentMacro
#easy_install http://trac-hacks.org/svn/macropostplugin/0.11
#easy_install http://trac-hacks.org/svn/addcommentmacro/0.11

### Add database-backed checklists anywhere there's a wiki.
## http://trac-hacks.org/wiki/ChecklistPlugin
easy_install http://trac-hacks.org/svn/checklistplugin/0.11/
trac-admin ${ENVDIR} upgrade

### Project components listing wiki macro.
## http://trac-hacks.org/wiki/ComponentsProcessorMacro
wget http://trac-hacks.org/svn/componentsprocessormacro/0.11/ComponentsListMacro.py
cp ComponentsListMacro.py ${ENVDIR}/plugins/
rm ComponentsListMacro.py

### Edit all trac.ini options via the WebAdminPlugin
## http://trac-hacks.org/wiki/IniAdminPlugin
easy_install http://trac-hacks.org/svn/iniadminplugin/0.11/

### UserManagerPlugin
## http://trac-hacks.org/wiki/UserManagerPlugin
easy_install http://trac-hacks.org/svn/usermanagerplugin/0.11

### Account Manager Plugin                                                      
## http://trac-hacks.org/wiki/AccountManagerPlugin                              
easy_install http://trac-hacks.org/svn/accountmanagerplugin/trunk 

### IRC Announcer Plugin
## http://trac-hacks.org/wiki/IrcAnnouncerPlugin
easy_install http://trac-hacks.org/svn/ircannouncerplugin/0.11/

### Table of Contents Macro
## http://trac-hacks.org/wiki/TocMacro
easy_install http://trac-hacks.org/svn/tocmacro/0.11

### TracWiki WYSIWYG Editor Plugin                                              
## http://trac-hacks.org/wiki/TracWysiwygPlugin                                 
easy_install http://trac-hacks.org/svn/tracwysiwygplugin/0.11

### Doxygen Plugin for Trac
## http://trac-hacks.org/wiki/DoxygenPlugin
# svn co https://doxygen.svn.sourceforge.net/svnroot/doxygen/trunk
easy_install http://trac-hacks.org/svn/doxygenplugin/0.11/

### The GraphvizPlugin allows for the inline creation of diagrams
### for abstract graphs and networks using the Graphviz programs.
## http://trac-hacks.org/wiki/GraphvizPlugin
easy_install http://trac-hacks.org/svn/graphvizplugin/0.11/


### TRAC themes
easy_install http://trac-hacks.org/svn/themeengineplugin/0.11/
easy_install http://trac-hacks.org/svn/pydotorgtheme/0.11/

### WEBAdmin
echo "Enable WebAdmin module in TRAC..."
echo "[components]" >>${ENVDIR}/conf/trac.ini
echo "webadmin.* = enabled" >>${ENVDIR}/conf/trac.ini
